Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SprImpl Class Reference
Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SprImpl:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SprImpl:
[legend]

## Public Member Functions
| SprImpl (AbcA::CompoundPropertyReaderPtr iParent, H5Node &iParentGroup, PropertyHeaderPtr iHeader, uint32_t iNumSamples, uint32_t iFirstChangedIndex, uint32_t iLastChangedIndex)
virtual AbcA::ScalarPropertyReaderPtr | asScalarPtr ()
Public Member Functions inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< AbcA::ScalarPropertyReader, SprImpl, void * >
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectReaderPtr | getObject ()
virtual AbcA::CompoundPropertyReaderPtr | getParent ()
virtual size_t | getNumSamples ()
virtual bool | isConstant ()
virtual void | getSample (index_t iSampleIndex, void *oSample)
virtual std::pair< index_t, chrono_t > | getFloorIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getCeilIndex (chrono_t iTime)
virtual std::pair< index_t, chrono_t > | getNearIndex (chrono_t iTime)
virtual bool | getKey (index_t iSampleIndex, AbcA::ArraySampleKey &oKey)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ScalarPropertyReader
virtual | ~ScalarPropertyReader ()
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader
virtual | ~BasePropertyReader ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ArrayPropertyReaderPtr | asArrayPtr ()
virtual CompoundPropertyReaderPtr | asCompoundPtr ()

## Protected Member Functions
void | readSample (hid_t iGroup, const std::string &iSampleName, index_t iSampleIndex, void *oSampleBytes)
bool | readKey (hid_t iGroup, const std::string &iSampleName, AbcA::ArraySampleKey &oSamplePtr)
Protected Member Functions inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< AbcA::ScalarPropertyReader, SprImpl, void * >
| SimplePrImpl (AbcA::CompoundPropertyReaderPtr iParent, H5Node &iParentGroup, PropertyHeaderPtr iHeader, uint32_t iNumSamples, uint32_t iFirstChangedIndex, uint32_t iLastChangedIndex)
index_t | verifySampleIndex (index_t iSampleIndex)
void | checkSamplesIGroup ()

## Friends
class | SimplePrImpl< AbcA::ScalarPropertyReader, SprImpl, void * >

## Additional Inherited Members
Protected Attributes inherited from Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SimplePrImpl< AbcA::ScalarPropertyReader, SprImpl, void * >
AbcA::CompoundPropertyReaderPtr | m_parent
H5Node | m_parentGroup
PropertyHeaderPtr | m_header
hid_t | m_fileDataType
bool | m_cleanFileDataType
hid_t | m_nativeDataType
bool | m_cleanNativeDataType
uint32_t | m_numSamples
uint32_t | m_firstChangedIndex
uint32_t | m_lastChangedIndex
H5Node | m_samplesIGroup
Alembic::Util::mutex | m_samplesIGroupMutex

## Member Function Documentation

## ◆ asScalarPtr()

AbcA::ScalarPropertyReaderPtr Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::SprImpl::asScalarPtr | ( |  | ) |
| virtual

Up-cast this base property to a ScalarProperty, if such an upcast is valid. This can be checked with the isScalar() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyReader.

The documentation for this class was generated from the following files:

- AbcCoreHDF5/SprImpl.h
- AbcCoreHDF5/SprImpl.cpp